Exception::getLine
Exception::getTraceAsString
Exception
PHP Manual

# Exception::getTrace

(PHP 5 >= 5.1.0)

Exception::getTrace — Récupère la trace de la pile

### Description

final public array Exception::getTrace ( void )

Retourne la trace de la pile de l'exception.

### Liste de paramètres

Cette fonction ne contient aucun paramètre.

### Valeurs de retour

Retourne la trace de la pile de l'exception sous la forme d'un tableau.

### Exemples

Exemple #1 Exemple avec Exception::getTrace()

`<?php
function test() {
throw new Exception;
}
try {
test();
} catch(Exception $e) {
var_dump($e->getTrace());
}
?>`

L'exemple ci-dessus va afficher quelque chose de similaire à :

    array(1) {
      [0]=>
      array(4) {
        ["file"]=>
        string(22) "/home/bjori/tmp/ex.php"
        ["line"]=>
        int(7)
        ["function"]=>
        string(4) "test"
        ["args"]=>
        array(0) {
        }
      }
    }

Exception::getLine
Exception::getTraceAsString
Exception
PHP Manual